Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.testing.ares
Interface ConstraintTest

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ConstraintTestImpl

    public interface ConstraintTest

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Constraint Test'.

The following features are supported:

- `Constraint`
- `Issue`
- `Actual Value`
- `Failure`

See Also:
  `AresPackage.getConstraintTest()`

Method Summary
`double` | `getActualValue()` Returns the value of the 'Actual Value' attribute.
`Constraint` | `getConstraint()` Returns the value of the 'Constraint' reference.
`Issue` | `getIssue()` Returns the value of the 'Issue' attribute.
`boolean` | `isFailure()` Returns the value of the 'Failure' attribute.
`void` | `setActualValue(double value)` Sets the value of the '`Actual Value`' attribute.
`void` | `setConstraint(Constraint value)` Sets the value of the '`Constraint`' reference.
`void` | `setIssue(Issue value)` Sets the value of the '`Issue`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getConstraint

    Constraint getConstraint()

  Returns the value of the 'Constraint' reference.

  If the meaning of the 'Constraint' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Constraint' reference.
  See Also:
    `setConstraint(Constraint)`, `AresPackage.getConstraintTest_Constraint()`

### setConstraint

    void setConstraint(Constraint value)

  Sets the value of the '`Constraint`' reference.

  Parameters:
    `value` - the new value of the 'Constraint' reference.
  See Also:
    `getConstraint()`

### getIssue

    Issue getIssue()

  Returns the value of the 'Issue' attribute. The literals are from the enumeration `Issue`.

  If the meaning of the 'Issue' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Issue' attribute.
  See Also:
    `Issue`, `setIssue(Issue)`, `AresPackage.getConstraintTest_Issue()`

### setIssue

    void setIssue(Issue value)

  Sets the value of the '`Issue`' attribute.

  Parameters:
    `value` - the new value of the 'Issue' attribute.
  See Also:
    `Issue`, `getIssue()`

### getActualValue

    double getActualValue()

  Returns the value of the 'Actual Value' attribute.

  If the meaning of the 'Actual Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Actual Value' attribute.
  See Also:
    `setActualValue(double)`, `AresPackage.getConstraintTest_ActualValue()`

### setActualValue

    void setActualValue(double value)

  Sets the value of the '`Actual Value`' attribute.

  Parameters:
    `value` - the new value of the 'Actual Value' attribute.
  See Also:
    `getActualValue()`

### isFailure

    boolean isFailure()

  Returns the value of the 'Failure' attribute.

  If the meaning of the 'Failure' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Failure' attribute.
  See Also:
    `AresPackage.getConstraintTest_Failure()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD